# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricZoomWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricZoomWidget(object):
    def setupUi(self, EricZoomWidget):
        EricZoomWidget.setObjectName("EricZoomWidget")
        EricZoomWidget.resize(242, 21)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(EricZoomWidget.sizePolicy().hasHeightForWidth())
        EricZoomWidget.setSizePolicy(sizePolicy)
        self.horizontalLayout = QtWidgets.QHBoxLayout(EricZoomWidget)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.valueLabel = QtWidgets.QLabel(parent=EricZoomWidget)
        self.valueLabel.setMinimumSize(QtCore.QSize(0, 16))
        self.valueLabel.setMaximumSize(QtCore.QSize(16777215, 16))
        self.valueLabel.setText("0")
        self.valueLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.valueLabel.setObjectName("valueLabel")
        self.horizontalLayout.addWidget(self.valueLabel)
        self.zoomOutLabel = EricClickableLabel(parent=EricZoomWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.zoomOutLabel.sizePolicy().hasHeightForWidth())
        self.zoomOutLabel.setSizePolicy(sizePolicy)
        self.zoomOutLabel.setMinimumSize(QtCore.QSize(16, 16))
        self.zoomOutLabel.setMaximumSize(QtCore.QSize(16, 16))
        self.zoomOutLabel.setObjectName("zoomOutLabel")
        self.horizontalLayout.addWidget(self.zoomOutLabel)
        self.slider = QtWidgets.QSlider(parent=EricZoomWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.slider.sizePolicy().hasHeightForWidth())
        self.slider.setSizePolicy(sizePolicy)
        self.slider.setMinimumSize(QtCore.QSize(160, 16))
        self.slider.setMaximumSize(QtCore.QSize(160, 16))
        self.slider.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.slider.setMinimum(-10)
        self.slider.setMaximum(20)
        self.slider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.slider.setTickPosition(QtWidgets.QSlider.TickPosition.NoTicks)
        self.slider.setObjectName("slider")
        self.horizontalLayout.addWidget(self.slider)
        self.zoomInLabel = EricClickableLabel(parent=EricZoomWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.zoomInLabel.sizePolicy().hasHeightForWidth())
        self.zoomInLabel.setSizePolicy(sizePolicy)
        self.zoomInLabel.setMinimumSize(QtCore.QSize(16, 16))
        self.zoomInLabel.setMaximumSize(QtCore.QSize(16, 16))
        self.zoomInLabel.setObjectName("zoomInLabel")
        self.horizontalLayout.addWidget(self.zoomInLabel)
        self.zoomResetLabel = EricClickableLabel(parent=EricZoomWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Fixed, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.zoomResetLabel.sizePolicy().hasHeightForWidth())
        self.zoomResetLabel.setSizePolicy(sizePolicy)
        self.zoomResetLabel.setMinimumSize(QtCore.QSize(16, 16))
        self.zoomResetLabel.setMaximumSize(QtCore.QSize(16, 16))
        self.zoomResetLabel.setObjectName("zoomResetLabel")
        self.horizontalLayout.addWidget(self.zoomResetLabel)

        self.retranslateUi(EricZoomWidget)
        QtCore.QMetaObject.connectSlotsByName(EricZoomWidget)

    def retranslateUi(self, EricZoomWidget):
        _translate = QtCore.QCoreApplication.translate
        self.zoomOutLabel.setToolTip(_translate("EricZoomWidget", "Zoom out"))
        self.slider.setToolTip(_translate("EricZoomWidget", "Drag to zoom"))
        self.zoomInLabel.setToolTip(_translate("EricZoomWidget", "Zoom in"))
        self.zoomResetLabel.setToolTip(_translate("EricZoomWidget", "Zoom reset"))
from eric7.EricWidgets.EricClickableLabel import EricClickableLabel
